org.eclipse.emf.compare.ide

## Class EMFCompareIDEPlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.emf.compare.ide.EMFCompareIDEPlugin

All Implemented Interfaces:
  BundleActivator

    public class EMFCompareIDEPlugin
    extends org.eclipse.core.runtime.Plugin

The activator class controls the plug-in life cycle.

### Field Summary

Fields
`static String` `PLUGIN_ID` The plug-in ID.

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`EMFCompareIDEPlugin()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EMFCompareIDEPlugin` `getDefault()` Returns the shared instance.
`ModelInclusionTesterRegistry` `getModelInclusionTesterRegistry()` Returns the ModelInclusionTesterRegistry.
`ResourceSetHookRegistry` `getResourceSetHookRegistry()` Returns the `ResourceSetHookRegistry`.
`void` `log(int severity, String message)` Log the given message with the given severity to the logger of this plugin.
`void` `log(Throwable throwable)` Log the given exception to the logger of this plugin.
`void` `start(BundleContext context)`
`void` `stop(BundleContext context)`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, initializeDefaultPluginPreferences, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final String PLUGIN_ID

The plug-in ID.

See Also:
  Constant Field Values

### Constructor Detail

#### EMFCompareIDEPlugin

    public EMFCompareIDEPlugin()

### Method Detail

#### start

    public void start(BundleContext context)
               throws Exception

Specified by:
  `start` in interface `BundleActivator`
Overrides:
  `start` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `Exception`
See Also:
  `BundleActivator.start(org.osgi.framework.BundleContext)`

#### stop

    public void stop(BundleContext context)
              throws Exception

Specified by:
  `stop` in interface `BundleActivator`
Overrides:
  `stop` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `Exception`
See Also:
  `Plugin.stop(org.osgi.framework.BundleContext)`

#### log

    public void log(int severity,
                    String message)

Log the given message with the given severity to the logger of this plugin.

Parameters:
  `severity` - the severity of the message.
  `message` - the message to log.

#### log

    public void log(Throwable throwable)

Log the given exception to the logger of this plugin.

Parameters:
  `throwable` - the throwable to log.

#### getDefault

    public static EMFCompareIDEPlugin getDefault()

Returns the shared instance.

Returns:
  the shared instance

#### getResourceSetHookRegistry

    public ResourceSetHookRegistry getResourceSetHookRegistry()

Returns the `ResourceSetHookRegistry`.

It contains all hooks registered against the ResourceSetHook extension point.

Returns:
  `ResourceSetHookRegistry`.
Since:
  3.2

#### getModelInclusionTesterRegistry

    public ModelInclusionTesterRegistry getModelInclusionTesterRegistry()

Returns the ModelInclusionTesterRegistry.

It contains all hooks registered against the ResourceSetHook extension point.

Returns:
  `ResourceSetHookRegistry`.
Since:
  3.4.2